<?php
namespace Controller;

use Service\Traits\TResponse;
use Service\TemplateJson;
use Util\Utilities;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;

class DatabaseOptions extends Crud {
    
    use TResponse;
    
	protected $dataSourceName = 'databaseOptions';

	public function findNext(Request $request,Response $response){
        $dataSet = TemplateJson::getDatabaseOptions();
        $this->sendResponse(Utilities::parseDataSourceZeedhiNext($dataSet), 200);
    }
}