<?php


namespace Service\PeriodMathExpression\Strategy;


class Day extends StrategyAbstract implements UnitInterface
{

    public function add(\DateTime $date, $quantity): \DateTime
    {
        return $date->modify('+ '.$quantity.' day');
    }

    public function sub(\DateTime $date, $quantity): \DateTime
    {
        return $date->modify('- '.$quantity.' day');
    }

    public function set(\DateTime $date, $value): \DateTime
    {
        return $date->setDate($this->getYear($date),$this->getMonth($date),$value);
    }

    public function modify($date, $operator, $quantity): \DateTime
    {
        return parent::modify($date, $operator, $quantity);
    }
}